aboutsummaryrefslogtreecommitdiff
path: root/script/dev-bucket.sh
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2023-09-27 13:38:17 +0200
committerAlex Auvolat <alex@adnab.me>2023-09-27 14:57:37 +0200
commit9ac1d5be0eba1b3b35f7fb2f99fe8df549044197 (patch)
tree43be0581776a16f56b5882678121042619912d59 /script/dev-bucket.sh
parent897cbf2c27e4477dde51eee5b73fa3267b4c7098 (diff)
downloadgarage-9ac1d5be0eba1b3b35f7fb2f99fe8df549044197.tar.gz
garage-9ac1d5be0eba1b3b35f7fb2f99fe8df549044197.zip
add upgrade test for garage 0.8 -> 0.9
Diffstat (limited to 'script/dev-bucket.sh')
-rwxr-xr-xscript/dev-bucket.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/script/dev-bucket.sh b/script/dev-bucket.sh
index 33d739fa..708c2c43 100755
--- a/script/dev-bucket.sh
+++ b/script/dev-bucket.sh
@@ -9,11 +9,22 @@ GARAGE_RELEASE="${REPO_FOLDER}/target/release/"
NIX_RELEASE="${REPO_FOLDER}/result/bin/"
PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:${NIX_RELEASE}:$PATH"
-garage -c /tmp/config.1.toml bucket create eprouvette
-KEY_INFO=$(garage -c /tmp/config.1.toml key create opérateur)
+if [ -z "$GARAGE_BIN" ]; then
+ GARAGE_BIN=$(which garage || exit 1)
+ echo -en "Found garage at: ${GARAGE_BIN}\n"
+else
+ echo -en "Using garage binary at: ${GARAGE_BIN}\n"
+fi
+
+$GARAGE_BIN -c /tmp/config.1.toml bucket create eprouvette
+if [ "$GARAGE_08" = "1" ]; then
+ KEY_INFO=$($GARAGE_BIN -c /tmp/config.1.toml key new --name opérateur)
+else
+ KEY_INFO=$($GARAGE_BIN -c /tmp/config.1.toml key create opérateur)
+fi
ACCESS_KEY=`echo $KEY_INFO|grep -Po 'GK[a-f0-9]+'`
SECRET_KEY=`echo $KEY_INFO|grep -Po 'Secret key: [a-f0-9]+'|grep -Po '[a-f0-9]+$'`
-garage -c /tmp/config.1.toml bucket allow eprouvette --read --write --owner --key $ACCESS_KEY
+$GARAGE_BIN -c /tmp/config.1.toml bucket allow eprouvette --read --write --owner --key $ACCESS_KEY
echo "$ACCESS_KEY $SECRET_KEY" > /tmp/garage.s3
echo "Bucket s3://eprouvette created. Credentials stored in /tmp/garage.s3."